--[[
	Appearances Constants
	Version 1.1.0

	Revision: $Id: Main.lua 3 2019-09-06 13:01:49 Pacific Time Kjasi $
]]

Appearances = {}
local ap = Appearances

ap.Version = "1.1.0"
ap.debug = 0

ap.PlayerData = {}
local P = ap.PlayerData

P.Name = UnitName("player")
P.Realm = GetRealmName()
_, P.Class, P.ClassID = UnitClass("player")
P.Faction = UnitFactionGroup("player")
P.Level = UnitLevel("player")

local SLOT_HEAD 				= "INVTYPE_HEAD"
local SLOT_SHOULDER 			= "INVTYPE_SHOULDER"
local SLOT_BODY 				= "INVTYPE_BODY"
local SLOT_CHEST 				= "INVTYPE_CHEST"
local SLOT_ROBE 				= "INVTYPE_ROBE"
local SLOT_WAIST 				= "INVTYPE_WAIST"
local SLOT_LEGS 				= "INVTYPE_LEGS"
local SLOT_FEET 				= "INVTYPE_FEET"
local SLOT_WRIST 				= "INVTYPE_WRIST"
local SLOT_HAND 				= "INVTYPE_HAND"
local SLOT_CLOAK 				= "INVTYPE_CLOAK"
local SLOT_WEAPON 				= "INVTYPE_WEAPON"
local SLOT_SHIELD 				= "INVTYPE_SHIELD"
local SLOT_WEAPON_2HAND 		= "INVTYPE_2HWEAPON"
local SLOT_WEAPON_MAINHAND 		= "INVTYPE_WEAPONMAINHAND"
local SLOT_WEAPON_OFFHAND 		= "INVTYPE_WEAPONOFFHAND"
local SLOT_HOLDABLE 			= "INVTYPE_HOLDABLE"
local SLOT_RANGED 				= "INVTYPE_RANGED"
local SLOT_RANGEDRIGHT 			= "INVTYPE_RANGEDRIGHT"
local SLOT_TABARD 				= "INVTYPE_TABARD"

ap.InventorySlotMap = {
    [SLOT_HEAD] = {1},
    [SLOT_SHOULDER] = {3},
    [SLOT_BODY] = {4},
    [SLOT_CHEST] = {5},
    [SLOT_ROBE] = {5},
    [SLOT_WAIST] = {6},
    [SLOT_LEGS] = {7},
    [SLOT_FEET] = {8},
    [SLOT_WRIST] = {9},
    [SLOT_HAND] = {10},
    [SLOT_CLOAK] = {15},
    [SLOT_WEAPON] = {16, 17},
    [SLOT_SHIELD] = {17},
    [SLOT_WEAPON_2HAND] = {16, 17},
    [SLOT_WEAPON_MAINHAND] = {16},
    [SLOT_WEAPON_OFFHAND] = {17},
    [SLOT_HOLDABLE] = {17},
    [SLOT_RANGED] = {16},
    [SLOT_RANGEDRIGHT] = {16},
    [SLOT_TABARD] = {19},
}

local ARMORTYPE_MISC		= 0	-- Covers everything in the Miscellaneous cateogory, except Shields.
local ARMORTYPE_CLOTH 		= 1
local ARMORTYPE_LEATHER 	= 2
local ARMORTYPE_MAIL 		= 3
local ARMORTYPE_PLATE 		= 4
local ARMORTYPE_COSMETIC	= 5
local ARMORTYPE_SHIELD		= 6

ap.ClassArmorTypes = {
	["DEATHKNIGHT"] 	= ARMORTYPE_PLATE,
	["DEMONHUNTER"] 	= ARMORTYPE_LEATHER,
	["DRUID"]			= ARMORTYPE_LEATHER,
	["HUNTER"] 			= ARMORTYPE_MAIL,
	["MAGE"] 			= ARMORTYPE_CLOTH,
	["MONK"] 			= ARMORTYPE_LEATHER,
	["PALADIN"] 		= ARMORTYPE_PLATE,
	["PRIEST"] 			= ARMORTYPE_CLOTH,
	["ROGUE"] 			= ARMORTYPE_LEATHER,
	["SHAMAN"] 			= ARMORTYPE_MAIL,
	["WARLOCK"] 		= ARMORTYPE_CLOTH,
	["WARRIOR"] 		= ARMORTYPE_PLATE,
}

local WEAPONTYPE_AXE		= 0
local WEAPONTYPE_2HAXE		= 1
local WEAPONTYPE_BOW		= 2
local WEAPONTYPE_GUN		= 3
local WEAPONTYPE_MACE		= 4
local WEAPONTYPE_2HMACE		= 5
local WEAPONTYPE_POLEARM	= 6
local WEAPONTYPE_SWORD		= 7
local WEAPONTYPE_2HSWORD	= 8
local WEAPONTYPE_WARGLAVE	= 9
local WEAPONTYPE_STAFF		= 10
local WEAPONTYPE_FIST		= 13
local WEAPONTYPE_DAGGER		= 15
local WEAPONTYPE_CROSSBOW	= 18
local WEAPONTYPE_WAND		= 19

ap.ClassWeaponTypes = {
	["DEATHKNIGHT"] 	= {WEAPONTYPE_AXE, WEAPONTYPE_MACE, WEAPONTYPE_SWORD, WEAPONTYPE_2HAXE, WEAPONTYPE_2HMACE, WEAPONTYPE_2HSWORD, WEAPONTYPE_POLEARM},
	["DEMONHUNTER"]		= {WEAPONTYPE_WARGLAVE, WEAPONTYPE_AXE, WEAPONTYPE_SWORD, WEAPONTYPE_DAGGER, WEAPONTYPE_FIST},
	["DRUID"]			= {WEAPONTYPE_STAFF, WEAPONTYPE_DAGGER, WEAPONTYPE_FIST, WEAPONTYPE_MACE, WEAPONTYPE_POLEARM},
	["HUNTER"] 			= {WEAPONTYPE_BOW, WEAPONTYPE_GUN, WEAPONTYPE_CROSSBOW, WEAPONTYPE_AXE, WEAPONTYPE_DAGGER, WEAPONTYPE_POLEARM, WEAPONTYPE_FIST, WEAPONTYPE_STAFF, WEAPONTYPE_SWORD, WEAPONTYPE_2HSWORD, WEAPONTYPE_2HAXE},
	["MAGE"] 			= {WEAPONTYPE_SWORD, WEAPONTYPE_DAGGER, WEAPONTYPE_WAND, WEAPONTYPE_STAFF},
	["MONK"] 			= {WEAPONTYPE_AXE, WEAPONTYPE_MACE, WEAPONTYPE_SWORD, WEAPONTYPE_FIST, WEAPONTYPE_STAFF, WEAPONTYPE_POLEARM},
	["PALADIN"] 		= {WEAPONTYPE_AXE, WEAPONTYPE_MACE, WEAPONTYPE_SWORD, WEAPONTYPE_2HAXE, WEAPONTYPE_2HMACE, WEAPONTYPE_2HSWORD, WEAPONTYPE_POLEARM},
	["PRIEST"] 			= {WEAPONTYPE_MACE, WEAPONTYPE_DAGGER, WEAPONTYPE_WAND, WEAPONTYPE_STAFF},
	["ROGUE"] 			= {WEAPONTYPE_AXE, WEAPONTYPE_MACE, WEAPONTYPE_SWORD, WEAPONTYPE_DAGGER, WEAPONTYPE_FIST, WEAPONTYPE_BOW, WEAPONTYPE_CROSSBOW, WEAPONTYPE_GUN},
	["SHAMAN"] 			= {WEAPONTYPE_AXE, WEAPONTYPE_MACE, WEAPONTYPE_DAGGER, WEAPONTYPE_FIST, WEAPONTYPE_2HAXE, WEAPONTYPE_2HMACE, WEAPONTYPE_STAFF},
	["WARLOCK"] 		= {WEAPONTYPE_SWORD, WEAPONTYPE_DAGGER, WEAPONTYPE_WAND, WEAPONTYPE_STAFF},
	["WARRIOR"] 		= {WEAPONTYPE_AXE, WEAPONTYPE_2HAXE, WEAPONTYPE_BOW, WEAPONTYPE_GUN, WEAPONTYPE_MACE, WEAPONTYPE_2HMACE, WEAPONTYPE_POLEARM, WEAPONTYPE_SWORD, WEAPONTYPE_2HSWORD, WEAPONTYPE_STAFF, WEAPONTYPE_FIST, WEAPONTYPE_DAGGER, WEAPONTYPE_CROSSBOW},
}

ap.ClassIDMap = {
	["WARRIOR"]		 	= 1,
	["PALADIN"]		 	= 2,
	["HUNTER"]			= 3,
	["ROGUE"]			= 4,
	["PRIEST"]			= 5,
	["DEATHKNIGHT"]		= 6,
	["SHAMAN"]			= 7,
	["MAGE"]			= 8,
	["WARLOCK"]			= 9,
	["MONK"]			= 10,
	["DRUID"]			= 11,
	["DEMONHUNTER"]		= 12,
}

ap.DressUpModel = CreateFrame('DressUpModel')
ap.tooltip = nil;